#include "xparameters.h"
#include "xio.h"
#include "evoBlock.h"

Xuint32 createCellConfig(Xuint8 selC, Xuint8 selB, Xuint8 selA, Xuint8 lut)
{
	Xuint32 config = 0;
	config |= ((selC & 0xF) << 16) | ((selB & 0xF) << 12) | ((selA & 0xF) << 8) | (lut & 0xFF);
	
	return config;
}

void writeCellConfig(Xuint32 arrayNum, Xuint32 cellNum, Xuint32 config)
{
	EVOBLOCK_writeArrayNum(arrayNum);
	EVOBLOCK_writeCellNum(cellNum);
	EVOBLOCK_writeConfig(config);
}

void configureArray(Xuint32 arrayNum, ArrayConfig *config)
{
	// Set array num
	EVOBLOCK_writeArrayNum(arrayNum);

	// Select first cell
	EVOBLOCK_writeCellNum(0);

	// Configure the array's cells
	Xuint32 cellNum;

	for (cellNum=0 ; cellNum<NUM_CELLS ; cellNum++)
	{
		EVOBLOCK_writeConfig(config->cellConfigs[cellNum]);
	}
}

void randomiseArrayConfig(ArrayConfig *config)
{
	Xuint32 cellNum = 0;
	Xuint32 randNum = 0;

	// Randomise cell configs
	for (cellNum=0 ; cellNum<NUM_CELLS ; cellNum++)
	{
		config->cellConfigs[cellNum] = rand();
	}
}
