#define NUM_CELLS 40
#define NUM_CONFIG_BITS 20

typedef struct
{
	Xuint32 cellConfigs[NUM_CELLS];
	Xuint32 fitness;
} ArrayConfig;

#define EVOBLOCK_BASEADDR XPAR_PLB_IFCE_EVOBLOCK_0_BASEADDR

// EvoBlock Functions (write)
#define EVOBLOCK_writeArrayNum(data) \
	XIo_Out32(EVOBLOCK_BASEADDR, (Xuint32)(data))

#define EVOBLOCK_writeCellNum(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+4, (Xuint32)(data))

#define EVOBLOCK_writeConfig(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+8, (Xuint32)(data))

#define EVOBLOCK_writeVector(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+12, (Xuint32)(data))

#define EVOBLOCK_writeMask(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+16, (Xuint32)(data))

#define EVOBLOCK_writeTargetRAM(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+20, (Xuint32)(data))

#define EVOBLOCK_writeTestReg(data) \
	XIo_Out32(EVOBLOCK_BASEADDR+60, (Xuint32)(data))

// EvoBlock Functions (read)
#define EVOBLOCK_readArrayNum() \
	XIo_In32(EVOBLOCK_BASEADDR)

#define EVOBLOCK_readCellNum() \
	XIo_In32(EVOBLOCK_BASEADDR+4)

#define EVOBLOCK_readVector() \
	XIo_In32(EVOBLOCK_BASEADDR+12)

#define EVOBLOCK_readMask() \
	XIo_In32(EVOBLOCK_BASEADDR+16)

#define EVOBLOCK_readTargetRAM() \
	XIo_In32(EVOBLOCK_BASEADDR+20)

#define EVOBLOCK_readOutput0() \
	XIo_In32(EVOBLOCK_BASEADDR+24)

#define EVOBLOCK_readOutput1() \
	XIo_In32(EVOBLOCK_BASEADDR+28)

#define EVOBLOCK_readMatch0() \
	XIo_In32(EVOBLOCK_BASEADDR+32)

#define EVOBLOCK_readMatch1() \
	XIo_In32(EVOBLOCK_BASEADDR+36)

#define EVOBLOCK_readTestReg() \
	XIo_In32(EVOBLOCK_BASEADDR+60)

Xuint32 createCellConfig(Xuint8 selC, Xuint8 selB, Xuint8 selA, Xuint8 lut);
void writeCellConfig(Xuint32 arrayNum, Xuint32 cellNum, Xuint32 config);
void configureArray(Xuint32 arrayNum, ArrayConfig *config);
void randomiseArrayConfig(ArrayConfig *config);
